<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_67) on Tue Oct 14 13:30:14 CEST 2014 -->
<title>SentenceCollection</title>
<meta name="date" content="2014-10-14">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="SentenceCollection";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SentenceCollection.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.SentenceInfo.html" title="class in fr.inria.alpage.frmgcm.corpus"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/corpus/SentenceCollection.html" target="_top">Frames</a></li>
<li><a href="SentenceCollection.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_classes_inherited_from_class_com.mongodb.ReflectionDBObject">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">fr.inria.alpage.frmgcm.corpus</div>
<h2 title="Class SentenceCollection" class="title">Class SentenceCollection</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.mongodb.ReflectionDBObject</li>
<li>
<ul class="inheritance">
<li>fr.inria.alpage.frmgcm.corpus.SentenceCollection</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>com.mongodb.DBObject, org.bson.BSONObject</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">SentenceCollection</span>
extends com.mongodb.ReflectionDBObject</pre>
<div class="block">This class allows handling multiple graphs as a collection (coherence conflict with <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus"><code>Document</code></a> class...)</div>
<dl><dt><span class="strong">Author:</span></dt>
  <dd>buiquang</dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_com.mongodb.ReflectionDBObject">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;com.mongodb.ReflectionDBObject</h3>
<code>com.mongodb.ReflectionDBObject.JavaWrapper</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#cmaDocumentId">cmaDocumentId</a></strong></code>
<div class="block">(optional) the mongo id of the <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus"><code>Document</code></a> if bounded to one</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>com.mongodb.BasicDBList</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#formats">formats</a></strong></code>
<div class="block">The formats of the graphs contained in this collection</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.Boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#isCMADocument">isCMADocument</a></strong></code>
<div class="block">A boolean indicating if this collection is bound to a corpus <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus"><code>Document</code></a></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#name">name</a></strong></code>
<div class="block">The name of the collection (unique)</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#namespace">namespace</a></strong></code>
<div class="block">(optional) namespace in which this collection may belong (used to cluster some collection for application related permissions (exemple groupe passage))</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#SentenceCollection()">SentenceCollection</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#addResource(java.lang.String,%20java.lang.String,%20boolean,%20java.lang.String)">addResource</a></strong>(java.lang.String&nbsp;data,
           java.lang.String&nbsp;format,
           boolean&nbsp;autoIndex,
           java.lang.String&nbsp;eid)</code>
<div class="block">Add a graph to this collection</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#addResources(java.lang.String,%20java.lang.String,%20boolean,%20boolean)">addResources</a></strong>(java.lang.String&nbsp;resourcePath,
            java.lang.String&nbsp;format,
            boolean&nbsp;saveLocalCopy,
            boolean&nbsp;autoIndex)</code>
<div class="block">Add a graph or multiple graph found at a certain resource location (url or local archive/directory)</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#addResources(java.lang.String,%20java.lang.String,%20boolean,%20boolean,%20java.lang.String)">addResources</a></strong>(java.lang.String&nbsp;resourcePath,
            java.lang.String&nbsp;format,
            boolean&nbsp;saveLocalCopy,
            boolean&nbsp;autoIndex,
            java.lang.String&nbsp;eid)</code>
<div class="block">Add a graph or multiple graph found at a certain resource location (url or local archive/directory)</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#cleanFrmgWikiGraphs()">cleanFrmgWikiGraphs</a></strong>()</code>
<div class="block">delete the mgwiki graphs stored</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html" title="class in fr.inria.alpage.frmgcm.corpus">SentenceCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#CreateNew(com.mongodb.BasicDBObject)">CreateNew</a></strong>(com.mongodb.BasicDBObject&nbsp;definition)</code>
<div class="block">Factory, create a new collection from a json object definition</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#delete()">delete</a></strong>()</code>
<div class="block">delete this collection alongside with the indexed sentences and stored graphs</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#deleteIndex(java.lang.String)">deleteIndex</a></strong>(java.lang.String&nbsp;collectionid)</code>
<div class="block">delete index of the sentences from the collection</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#deleteSignatures()">deleteSignatures</a></strong>()</code>
<div class="block">delete mgwiki signatures</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>com.mongodb.BasicDBList</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#formatResults(com.mongodb.BasicDBList)">formatResults</a></strong>(com.mongodb.BasicDBList&nbsp;results)</code>
<div class="block">Removed costly or unused data from elasticsearch query result</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#getcmaDocumentId()">getcmaDocumentId</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>com.mongodb.BasicDBList</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#getformats()">getformats</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.Boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#getisCMADocument()">getisCMADocument</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#getMGWikiGraphData(java.lang.String)">getMGWikiGraphData</a></strong>(java.lang.String&nbsp;uid)</code>
<div class="block">Retrieve graph data from mgwiki graph uid</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#getMGWikiGraphSignature(java.lang.String)">getMGWikiGraphSignature</a></strong>(java.lang.String&nbsp;uid)</code>
<div class="block">Retrieve the signature of a mgwiki graph using its uid</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static com.mongodb.BasicDBObject</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#getMGWikiSentences()">getMGWikiSentences</a></strong>()</code>
<div class="block">Retrieve all the mgwiki graphs</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#getname()">getname</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#getnamespace()">getnamespace</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#MGWikiIndex()">MGWikiIndex</a></strong>()</code>
<div class="block">custom indexation of mgwiki sentences, also create the signature - page bindings</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static com.mongodb.BasicDBList</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#MGWikiMatchSignatures(java.lang.String,%20java.lang.String)">MGWikiMatchSignatures</a></strong>(java.lang.String&nbsp;sentence,
                     java.lang.String&nbsp;params)</code>
<div class="block">Retrieve the related pages associated to a sentence</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html" title="class in fr.inria.alpage.frmgcm.corpus">SentenceCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#Retrieve(java.lang.String)">Retrieve</a></strong>(java.lang.String&nbsp;collection_name)</code>
<div class="block">Retrieve a particular collection from its name</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static com.mongodb.BasicDBList</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#RetrieveAll()">RetrieveAll</a></strong>()</code>
<div class="block">Retrieve every <a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html" title="class in fr.inria.alpage.frmgcm.corpus"><code>SentenceCollection</code></a></div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static com.mongodb.BasicDBList</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#RetrieveAll(com.mongodb.BasicDBObject)">RetrieveAll</a></strong>(com.mongodb.BasicDBObject&nbsp;condition)</code>
<div class="block">Filter out sentence collections from db</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#save()">save</a></strong>()</code>
<div class="block">Save the modification to the collection into the db</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#setcmaDocumentId(java.lang.String)">setcmaDocumentId</a></strong>(java.lang.String&nbsp;cmaDocumentId)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#setformats(com.mongodb.BasicDBList)">setformats</a></strong>(com.mongodb.BasicDBList&nbsp;formats)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#setisCMADocument(java.lang.Boolean)">setisCMADocument</a></strong>(java.lang.Boolean&nbsp;isCMADocument)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#setname(java.lang.String)">setname</a></strong>(java.lang.String&nbsp;name)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#setnamespace(java.lang.String)">setnamespace</a></strong>(java.lang.String&nbsp;namespace)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#setSignatureWeight(fr.inria.alpage.frmgcm.corpus.SentenceCollection,%20int)">setSignatureWeight</a></strong>(<a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html" title="class in fr.inria.alpage.frmgcm.corpus">SentenceCollection</a>&nbsp;collection,
                  int&nbsp;totalSentence)</code>
<div class="block">compute signature weights</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#updateAvailableFormat()">updateAvailableFormat</a></strong>()</code>
<div class="block">get all graph from this collection and rebuild available formats</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#updateAvailableFormat(java.lang.String)">updateAvailableFormat</a></strong>(java.lang.String&nbsp;format)</code>
<div class="block">add a available format</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#updateSignature(java.lang.String,%20java.lang.String,%20java.lang.String,%20java.lang.String[],%20java.lang.String)">updateSignature</a></strong>(java.lang.String&nbsp;graph_eid,
               java.lang.String&nbsp;signature,
               java.lang.String&nbsp;user,
               java.lang.String[]&nbsp;page_ref_ids,
               java.lang.String&nbsp;signatureDescription)</code>
<div class="block">Update signature info (used only for mgwiki..)</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a></code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html#validate()">validate</a></strong>()</code>
<div class="block">Validate an instance of SentenceCollection (before saving it)</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_com.mongodb.ReflectionDBObject">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.mongodb.ReflectionDBObject</h3>
<code>containsField, containsKey, get_id, get, getWrapper, getWrapperIfReflectionObject, isPartialObject, keySet, markAsPartialObject, put, putAll, putAll, removeField, set_id, toMap</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="name">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>name</h4>
<pre>public&nbsp;java.lang.String name</pre>
<div class="block">The name of the collection (unique)</div>
</li>
</ul>
<a name="formats">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>formats</h4>
<pre>public&nbsp;com.mongodb.BasicDBList formats</pre>
<div class="block">The formats of the graphs contained in this collection</div>
</li>
</ul>
<a name="isCMADocument">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isCMADocument</h4>
<pre>public&nbsp;java.lang.Boolean isCMADocument</pre>
<div class="block">A boolean indicating if this collection is bound to a corpus <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus"><code>Document</code></a></div>
</li>
</ul>
<a name="cmaDocumentId">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cmaDocumentId</h4>
<pre>public&nbsp;java.lang.String cmaDocumentId</pre>
<div class="block">(optional) the mongo id of the <a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.html" title="class in fr.inria.alpage.frmgcm.corpus"><code>Document</code></a> if bounded to one</div>
</li>
</ul>
<a name="namespace">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>namespace</h4>
<pre>public&nbsp;java.lang.String namespace</pre>
<div class="block">(optional) namespace in which this collection may belong (used to cluster some collection for application related permissions (exemple groupe passage))</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="SentenceCollection()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SentenceCollection</h4>
<pre>public&nbsp;SentenceCollection()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getnamespace()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getnamespace</h4>
<pre>public&nbsp;java.lang.String&nbsp;getnamespace()</pre>
</li>
</ul>
<a name="setnamespace(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setnamespace</h4>
<pre>public&nbsp;void&nbsp;setnamespace(java.lang.String&nbsp;namespace)</pre>
</li>
</ul>
<a name="getcmaDocumentId()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getcmaDocumentId</h4>
<pre>public&nbsp;java.lang.String&nbsp;getcmaDocumentId()</pre>
</li>
</ul>
<a name="setcmaDocumentId(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setcmaDocumentId</h4>
<pre>public&nbsp;void&nbsp;setcmaDocumentId(java.lang.String&nbsp;cmaDocumentId)</pre>
</li>
</ul>
<a name="getisCMADocument()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getisCMADocument</h4>
<pre>public&nbsp;java.lang.Boolean&nbsp;getisCMADocument()</pre>
</li>
</ul>
<a name="setisCMADocument(java.lang.Boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setisCMADocument</h4>
<pre>public&nbsp;void&nbsp;setisCMADocument(java.lang.Boolean&nbsp;isCMADocument)</pre>
</li>
</ul>
<a name="getformats()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getformats</h4>
<pre>public&nbsp;com.mongodb.BasicDBList&nbsp;getformats()</pre>
</li>
</ul>
<a name="setformats(com.mongodb.BasicDBList)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setformats</h4>
<pre>public&nbsp;void&nbsp;setformats(com.mongodb.BasicDBList&nbsp;formats)</pre>
</li>
</ul>
<a name="getname()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getname</h4>
<pre>public&nbsp;java.lang.String&nbsp;getname()</pre>
</li>
</ul>
<a name="setname(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setname</h4>
<pre>public&nbsp;void&nbsp;setname(java.lang.String&nbsp;name)</pre>
</li>
</ul>
<a name="updateAvailableFormat()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateAvailableFormat</h4>
<pre>public&nbsp;void&nbsp;updateAvailableFormat()</pre>
<div class="block">get all graph from this collection and rebuild available formats</div>
</li>
</ul>
<a name="updateAvailableFormat(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateAvailableFormat</h4>
<pre>public&nbsp;void&nbsp;updateAvailableFormat(java.lang.String&nbsp;format)</pre>
<div class="block">add a available format</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>format</code> - </dd></dl>
</li>
</ul>
<a name="CreateNew(com.mongodb.BasicDBObject)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CreateNew</h4>
<pre>public static&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html" title="class in fr.inria.alpage.frmgcm.corpus">SentenceCollection</a>&nbsp;CreateNew(com.mongodb.BasicDBObject&nbsp;definition)</pre>
<div class="block">Factory, create a new collection from a json object definition</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>definition</code> - json object definition containing at least the field 'name'</dd>
<dt><span class="strong">Returns:</span></dt><dd></dd></dl>
</li>
</ul>
<a name="RetrieveAll()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RetrieveAll</h4>
<pre>public static&nbsp;com.mongodb.BasicDBList&nbsp;RetrieveAll()</pre>
<div class="block">Retrieve every <a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html" title="class in fr.inria.alpage.frmgcm.corpus"><code>SentenceCollection</code></a></div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the list of every <a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html" title="class in fr.inria.alpage.frmgcm.corpus"><code>SentenceCollection</code></a></dd></dl>
</li>
</ul>
<a name="RetrieveAll(com.mongodb.BasicDBObject)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RetrieveAll</h4>
<pre>public static&nbsp;com.mongodb.BasicDBList&nbsp;RetrieveAll(com.mongodb.BasicDBObject&nbsp;condition)</pre>
<div class="block">Filter out sentence collections from db</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>condition</code> - the json object that will filter which collection should be retrieved</dd>
<dt><span class="strong">Returns:</span></dt><dd>the list of filtered sentence collection</dd></dl>
</li>
</ul>
<a name="Retrieve(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Retrieve</h4>
<pre>public static&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html" title="class in fr.inria.alpage.frmgcm.corpus">SentenceCollection</a>&nbsp;Retrieve(java.lang.String&nbsp;collection_name)</pre>
<div class="block">Retrieve a particular collection from its name</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>collection_name</code> - the name of the collection</dd>
<dt><span class="strong">Returns:</span></dt><dd>the corresponding collection or null if not found</dd></dl>
</li>
</ul>
<a name="validate()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>validate</h4>
<pre>public&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a>&nbsp;validate()</pre>
<div class="block">Validate an instance of SentenceCollection (before saving it)</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>a validation bean</dd></dl>
</li>
</ul>
<a name="save()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>save</h4>
<pre>public&nbsp;void&nbsp;save()</pre>
<div class="block">Save the modification to the collection into the db</div>
</li>
</ul>
<a name="formatResults(com.mongodb.BasicDBList)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>formatResults</h4>
<pre>public&nbsp;com.mongodb.BasicDBList&nbsp;formatResults(com.mongodb.BasicDBList&nbsp;results)</pre>
<div class="block">Removed costly or unused data from elasticsearch query result</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>results</code> - the elasticsearch query result object</dd>
<dt><span class="strong">Returns:</span></dt><dd>the lightweighted query result</dd></dl>
</li>
</ul>
<a name="addResource(java.lang.String, java.lang.String, boolean, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addResource</h4>
<pre>public&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a>&nbsp;addResource(java.lang.String&nbsp;data,
                               java.lang.String&nbsp;format,
                               boolean&nbsp;autoIndex,
                               java.lang.String&nbsp;eid)</pre>
<div class="block">Add a graph to this collection</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>data</code> - the data defining the graph structure</dd><dd><code>format</code> - the format of the graph</dd><dd><code>autoIndex</code> - a boolean indicating if the graph must be indexed once added</dd><dd><code>eid</code> - an external id used to identify the graph</dd>
<dt><span class="strong">Returns:</span></dt><dd>a validation bean indicating if the addition was a success</dd></dl>
</li>
</ul>
<a name="addResources(java.lang.String, java.lang.String, boolean, boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addResources</h4>
<pre>public&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a>&nbsp;addResources(java.lang.String&nbsp;resourcePath,
                                java.lang.String&nbsp;format,
                                boolean&nbsp;saveLocalCopy,
                                boolean&nbsp;autoIndex)</pre>
<div class="block">Add a graph or multiple graph found at a certain resource location (url or local archive/directory)</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>resourcePath</code> - the resource location (url or file (must begin with 'http://' or 'file:///'))</dd><dd><code>format</code> - the format of the graph(s)</dd><dd><code>saveLocalCopy</code> - a boolean indicating if the data of the graph(s) must be locally saved</dd><dd><code>autoIndex</code> - a boolean indicating if the graph(s) should be indexed once added</dd>
<dt><span class="strong">Returns:</span></dt><dd>a validation bean indicating if import was a success</dd></dl>
</li>
</ul>
<a name="addResources(java.lang.String, java.lang.String, boolean, boolean, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addResources</h4>
<pre>public&nbsp;<a href="../../../../../fr/inria/alpage/frmgcm/utils/Utils.ValidationBean.html" title="class in fr.inria.alpage.frmgcm.utils">Utils.ValidationBean</a>&nbsp;addResources(java.lang.String&nbsp;resourcePath,
                                java.lang.String&nbsp;format,
                                boolean&nbsp;saveLocalCopy,
                                boolean&nbsp;autoIndex,
                                java.lang.String&nbsp;eid)</pre>
<div class="block">Add a graph or multiple graph found at a certain resource location (url or local archive/directory)</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>resourcePath</code> - the resource location (url or file (must begin with 'http://' or 'file:///'))</dd><dd><code>format</code> - the format of the graph(s)</dd><dd><code>saveLocalCopy</code> - a boolean indicating if the data of the graph(s) must be locally saved</dd><dd><code>autoIndex</code> - a boolean indicating if the graph(s) should be indexed once added</dd><dd><code>eid</code> - if resource is a single graph, the external id of this graph (otherwise it is generated from the path of the graph within the archive/directory)</dd>
<dt><span class="strong">Returns:</span></dt><dd>a validation bean indicating if import was a success</dd></dl>
</li>
</ul>
<a name="deleteIndex(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteIndex</h4>
<pre>public static&nbsp;void&nbsp;deleteIndex(java.lang.String&nbsp;collectionid)</pre>
<div class="block">delete index of the sentences from the collection</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>collectionid</code> - the collection id</dd></dl>
</li>
</ul>
<a name="MGWikiIndex()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MGWikiIndex</h4>
<pre>public static&nbsp;void&nbsp;MGWikiIndex()
                        throws java.lang.Exception</pre>
<div class="block">custom indexation of mgwiki sentences, also create the signature - page bindings</div>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd></dl>
</li>
</ul>
<a name="updateSignature(java.lang.String, java.lang.String, java.lang.String, java.lang.String[], java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateSignature</h4>
<pre>public&nbsp;void&nbsp;updateSignature(java.lang.String&nbsp;graph_eid,
                   java.lang.String&nbsp;signature,
                   java.lang.String&nbsp;user,
                   java.lang.String[]&nbsp;page_ref_ids,
                   java.lang.String&nbsp;signatureDescription)</pre>
<div class="block">Update signature info (used only for mgwiki..)</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>graph_eid</code> - the mgwiki (or collection external graph id) uid of the graph</dd><dd><code>signature</code> - the dpath signature to save</dd><dd><code>user</code> - the user that will be the owner of the signature</dd><dd><code>page_ref_ids</code> - the list of page id (mgwiki nid) that will be associated with this signature</dd><dd><code>signatureDescription</code> - the optional description of the signature</dd></dl>
</li>
</ul>
<a name="deleteSignatures()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>deleteSignatures</h4>
<pre>public static&nbsp;void&nbsp;deleteSignatures()</pre>
<div class="block">delete mgwiki signatures</div>
</li>
</ul>
<a name="cleanFrmgWikiGraphs()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>cleanFrmgWikiGraphs</h4>
<pre>public static&nbsp;void&nbsp;cleanFrmgWikiGraphs()</pre>
<div class="block">delete the mgwiki graphs stored</div>
</li>
</ul>
<a name="setSignatureWeight(fr.inria.alpage.frmgcm.corpus.SentenceCollection, int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSignatureWeight</h4>
<pre>public static&nbsp;void&nbsp;setSignatureWeight(<a href="../../../../../fr/inria/alpage/frmgcm/corpus/SentenceCollection.html" title="class in fr.inria.alpage.frmgcm.corpus">SentenceCollection</a>&nbsp;collection,
                      int&nbsp;totalSentence)</pre>
<div class="block">compute signature weights</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>collection</code> - the collection to evaluate the importance of signature with</dd><dd><code>totalSentence</code> - the number of sentences of the collection</dd></dl>
</li>
</ul>
<a name="MGWikiMatchSignatures(java.lang.String, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MGWikiMatchSignatures</h4>
<pre>public static&nbsp;com.mongodb.BasicDBList&nbsp;MGWikiMatchSignatures(java.lang.String&nbsp;sentence,
                                            java.lang.String&nbsp;params)
                                                     throws java.lang.Exception</pre>
<div class="block">Retrieve the related pages associated to a sentence</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>sentence</code> - the sentence to parse</dd><dd><code>params</code> - the param sent to the parser</dd>
<dt><span class="strong">Returns:</span></dt><dd>the list of pages weighted by their signature binding</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.Exception</code></dd></dl>
</li>
</ul>
<a name="getMGWikiGraphData(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMGWikiGraphData</h4>
<pre>public static&nbsp;java.lang.String&nbsp;getMGWikiGraphData(java.lang.String&nbsp;uid)
                                           throws org.apache.http.client.ClientProtocolException,
                                                  java.io.IOException</pre>
<div class="block">Retrieve graph data from mgwiki graph uid</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>uid</code> - the uid of the graph in mgwiki</dd>
<dt><span class="strong">Returns:</span></dt><dd>the data string of the graph</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>org.apache.http.client.ClientProtocolException</code></dd>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="getMGWikiGraphSignature(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMGWikiGraphSignature</h4>
<pre>public static&nbsp;java.lang.String&nbsp;getMGWikiGraphSignature(java.lang.String&nbsp;uid)
                                                throws org.apache.http.client.ClientProtocolException,
                                                       java.io.IOException</pre>
<div class="block">Retrieve the signature of a mgwiki graph using its uid</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>uid</code> - the uid of the mgwiki graph</dd>
<dt><span class="strong">Returns:</span></dt><dd>the signature of the graph</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>org.apache.http.client.ClientProtocolException</code></dd>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="getMGWikiSentences()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMGWikiSentences</h4>
<pre>public static&nbsp;com.mongodb.BasicDBObject&nbsp;getMGWikiSentences()
                                                    throws org.apache.http.client.ClientProtocolException,
                                                           java.io.IOException</pre>
<div class="block">Retrieve all the mgwiki graphs</div>
<dl><dt><span class="strong">Returns:</span></dt><dd></dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>org.apache.http.client.ClientProtocolException</code></dd>
<dd><code>java.io.IOException</code></dd></dl>
</li>
</ul>
<a name="delete()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>delete</h4>
<pre>public&nbsp;void&nbsp;delete()</pre>
<div class="block">delete this collection alongside with the indexed sentences and stored graphs</div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/SentenceCollection.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/corpus/Document.SentenceInfo.html" title="class in fr.inria.alpage.frmgcm.corpus"><span class="strong">Prev Class</span></a></li>
<li>Next Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/corpus/SentenceCollection.html" target="_top">Frames</a></li>
<li><a href="SentenceCollection.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_classes_inherited_from_class_com.mongodb.ReflectionDBObject">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field_summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field_detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
